Author: Daniel Baumann <mail@daniel-baumann.ch>
Description: Updating debian-installer to syslinux 6.x.

diff -Naurp debian-installer.orig/build/config/x86.cfg debian-installer/build/config/x86.cfg
--- debian-installer.orig/build/config/x86.cfg
+++ debian-installer/build/config/x86.cfg
@@ -110,7 +110,9 @@ endif
 	fi
 	
 	if [ "$(SYSLINUX_CFG)" != prompt ]; then \
-		mcopy -i$(TEMP_BOOT) /usr/lib/syslinux/vesamenu.c32 ::vesamenu.c32; \
+		mcopy -i$(TEMP_BOOT) /usr/lib/syslinux/modules/bios/vesamenu.c32 ::vesamenu.c32; \
+		mcopy -i$(TEMP_BOOT) /usr/lib/syslinux/modules/bios/libcom32.c32 ::libcom32.c32; \
+		mcopy -i$(TEMP_BOOT) /usr/lib/syslinux/modules/bios/libutil.c32 ::libutil.c32; \
 		if [ -e $(TEMP_BOOT_SCREENS)/splash.png ]; then \
 			mcopy -i$(TEMP_BOOT) $(TEMP_BOOT_SCREENS)/splash.png ::splash.png; \
 		fi; \
@@ -245,8 +247,11 @@ arch_cd_info_dir: x86_syslinux x86_grub_
 arch_miniiso: x86_syslinux x86_grub_efi
 	-rm -f $(TEMP_CD_TREE)/*
 	mkdir -p $(TEMP_CD_TREE)
-	cp /usr/lib/syslinux/isolinux.bin $(TEMP_CD_TREE)
-	cp /usr/lib/syslinux/vesamenu.c32 $(TEMP_CD_TREE)
+	cp /usr/lib/ISOLINUX/isolinux.bin $(TEMP_CD_TREE)
+	cp /usr/lib/syslinux/modules/bios/vesamenu.c32 $(TEMP_CD_TREE)
+	cp /usr/lib/syslinux/modules/bios/ldlinux.c32 $(TEMP_CD_TREE); \
+	cp /usr/lib/syslinux/modules/bios/libcom32.c32 $(TEMP_CD_TREE); \
+	cp /usr/lib/syslinux/modules/bios/libutil.c32 $(TEMP_CD_TREE); \
 
 	$(foreach file,$(wildcard boot/x86/*.txt), \
 		cat $(file) | \
@@ -344,10 +349,13 @@ arch_netboot_dir: x86_syslinux
 	mkdir -p $(TEMP_NETBOOT_DIR)/$(NETBOOT_PATH)
 	cp $(TEMP_INITRD) $(TEMP_NETBOOT_DIR)/$(NETBOOT_PATH)
 	cp $(TEMP_KERNEL) $(TEMP_NETBOOT_DIR)/$(NETBOOT_PATH)/linux
-	cp /usr/lib/syslinux/pxelinux.0 $(TEMP_NETBOOT_DIR)/$(NETBOOT_PATH)
+	cp /usr/lib/PXELINUX/pxelinux.0 $(TEMP_NETBOOT_DIR)/$(NETBOOT_PATH)
 	mkdir -p $(TEMP_NETBOOT_DIR)/$(NETBOOT_PATH)/pxelinux.cfg
 	mkdir -p $(TEMP_NETBOOT_DIR)/$(BOOT_SCREEN_DIR)
-	cp /usr/lib/syslinux/vesamenu.c32 $(TEMP_NETBOOT_DIR)/$(BOOT_SCREEN_DIR)
+	cp /usr/lib/syslinux/modules/bios/vesamenu.c32 $(TEMP_NETBOOT_DIR)/$(BOOT_SCREEN_DIR)
+	cp /usr/lib/syslinux/modules/bios/ldlinux.c32 $(TEMP_NETBOOT_DIR)/$(BOOT_SCREEN_DIR); \
+	cp /usr/lib/syslinux/modules/bios/libcom32.c32 $(TEMP_NETBOOT_DIR)/$(BOOT_SCREEN_DIR); \
+	cp /usr/lib/syslinux/modules/bios/libutil.c32 $(TEMP_NETBOOT_DIR)/$(BOOT_SCREEN_DIR); \
 
         # Use a non-empty character for beep by default to make sure the menu
         # is wide enough when beep is enabled.
diff -Naurp debian-installer.orig/debian/control debian-installer/debian/control
--- debian-installer.orig/debian/control	2014-03-02 23:04:16.000000000 +0000
+++ debian-installer/debian/control	2014-05-03 07:50:13.448407637 +0000
@@ -91,7 +91,9 @@ Build-Depends:
 #	On many arches boot loaders are copied onto or ran on the boot
 #	images in one way or another. There's a reason our mailing list is
 #	still called debian-boot..
-	syslinux (>= 2:4.02) [i386 amd64],
+	isolinux [i386 amd64],
+	pxelinux [i386 amd64],
+	syslinux-common (>= 2:6) [i386 amd64],
 #		With isohybrid.
 	elilo [ia64],
 	yaboot [powerpc],
